{
  "format_version": "1.10.0",
  "animations": {
    "animation.mnp_ci.partner_fish_shapescape.idle": {
      "loop": true,
      "bones": {
        "body": {
          "rotation": [
            0,
            "math.cos(-45+q.anim_time*90)*1.5",
            "math.cos(q.anim_time*90)*1.5"
          ],
          "position": [
            0,
            "math.cos(45+q.anim_time*90)*1.5",
            0
          ]
        }
      }
    },
    "animation.mnp_ci.partner_fish_shapescape.swim": {
      "loop": true,
      "bones": {
        "body": {
          "rotation": [
            "math.cos(45+q.anim_time*180)*3",
            "math.cos(q.anim_time*90)*5",
            "math.cos(-45+q.anim_time*90)*5"
          ]
        },
        "leftFin": {
          "rotation": [
            0,
            "-math.cos(60+q.anim_time*360)*10",
            0
          ]
        },
        "rightFin": {
          "rotation": [
            0,
            "math.cos(60+q.anim_time*360)*10",
            0
          ]
        }
      }
    },
    "animation.mnp_ci.partner_fish_shapescape.flop": {
      "loop": true,
      "bones": {
        "body": {
          "rotation": [
            "(math.cos(-90+q.anim_time*360)*4)",
            "(math.cos(-90+q.anim_time*360)*3)*(-math.cos(-90+q.anim_time*180)*3)",
            "-90+(math.cos(-90+q.anim_time*360)*6)"
          ],
          "position": [
            0,
            "-4+math.abs(math.cos(q.anim_time*360)*5)",
            0
          ],
          "scale": [
            "1+math.abs((math.cos(q.anim_time*360)*0.5))",
            "1+math.abs((math.cos(-15+q.anim_time*360)*0.05))",
            "1+math.abs((math.cos(-15+q.anim_time*360)*0.05))"
          ]
        },
        "leftFin": {
          "rotation": [
            0,
            "math.cos(q.anim_time*1440)*15",
            0
          ]
        },
        "rightFin": {
          "rotation": [
            0,
            "math.cos(q.anim_time*1440)*15",
            0
          ]
        }
      }
    }
  }
}